version: '3.7'

services:

  db:
    image: yobasystems/alpine-mariadb:latest
    volumes:
      - ./mysql/my.cnf:/etc/my.cnf
      - ./mysql/conf.d:/etc/mysql/mysql.conf.d
      - ./mysql/main:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD}
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_USER: ${DB_USER}
      MYSQL_PASSWORD: ${DB_PASSWORD}
    expose:
      - '3306'
    restart: always
    networks:
      - code-network

  httpd:
    image: httpd:alpine
    restart: always
    volumes:
      - ${SITES_HOME}/:${SITES_HOME}
      - ./httpd/apache.conf:/usr/local/apache2/conf/extra/httpd-vhosts.conf
      - ./httpd/httpd.conf:/usr/local/apache2/conf/httpd.conf
    environment:
      HTTPD_SERVER_NAME: ${HTTPD_SERVER_NAME}
      SITES_HOME: ${SITES_HOME}
    ports:
      - '80:80'
      - '443:443'
    networks:
      - code-network
    links:
      - php
    depends_on:
      - php

  php:
    build: ./php
    restart: always
    volumes:
      - ${SITES_HOME}/:${SITES_HOME}
      - ./php/conf.d/host.ini:/usr/local/etc/php/conf.d/host.ini
    environment:
      PHP_DISABLE_FUNC: ${PHP_DISABLE_FUNC}
      PHP_MAX_EXEC_SEC: ${PHP_MAX_EXEC_SEC}
      PHP_MAX_POST_UPLOAD: ${PHP_MAX_POST_UPLOAD}
      SITES_HOME: ${SITES_HOME}
      TIMEZONE: ${TIMEZONE}
    networks:
      - code-network

  adminer:
    image: adminer
    restart: always
    ports:
      - '9999:8080'
    expose:
      - '8080'
    environment:
      ADMINER_DESIGN: ${ADMINER_DESIGN}
    networks:
      - code-network

  mailhog:
    image: mailhog/mailhog
    restart: always
    networks:
      - code-network
    expose:
      - '1025'
    ports:
      - '8025:8025'
      - '1025:1025'

  selenium:
    image: selenium/standalone-chrome
    restart: always
    ports:
      - '4444:4444'
      - '5900:5900'
    volumes:
      - /dev/shm:/dev/shm
    network_mode: 'host'

  mercure:
    image: dunglas/mercure
    ports:
      - '9000:3000'
      - '8001:80'
    environment:
      JWT_KEY: 'aVerySecretKey'
      DEMO: 1
      ALLOW_ANONYMOUS: 1
      CORS_ALLOWED_ORIGINS: '*'
    restart: always
    networks:
      - code-network

networks:
  code-network:
